<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP5: Référence de la classe Battle</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP5
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="classBattle-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe Battle</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a29acd454bb27c7d9d0bd182016a74b40"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBattle.html#a29acd454bb27c7d9d0bd182016a74b40">__construct</a> (String $player1=&quot;&quot;, String $player2=&quot;&quot;, String $nomFichier=&quot;&quot;)</td></tr>
<tr class="separator:a29acd454bb27c7d9d0bd182016a74b40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96c38fc472e488c315fc4b11556670d8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBattle.html#a96c38fc472e488c315fc4b11556670d8">singleRound</a> ()</td></tr>
<tr class="separator:a96c38fc472e488c315fc4b11556670d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c409aefc56e606e852e110978132802"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBattle.html#a0c409aefc56e606e852e110978132802">battleRound</a> ()</td></tr>
<tr class="separator:a0c409aefc56e606e852e110978132802"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a999468a925f2dee526bc5d1c30d01fec"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBattle.html#a999468a925f2dee526bc5d1c30d01fec">decideBattle</a> ()</td></tr>
<tr class="separator:a999468a925f2dee526bc5d1c30d01fec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae270319dd5ce96ba4c16b567ae1bbe5d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBattle.html#ae270319dd5ce96ba4c16b567ae1bbe5d">clearTable</a> ()</td></tr>
<tr class="separator:ae270319dd5ce96ba4c16b567ae1bbe5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a008097103d35a58d025140d320805d44"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBattle.html#a008097103d35a58d025140d320805d44">determineWinner</a> ()</td></tr>
<tr class="separator:a008097103d35a58d025140d320805d44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f14f861de57cdc4efbfcf5a77cd8bb6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classBattle.html#a0f14f861de57cdc4efbfcf5a77cd8bb6">__toString</a> ()</td></tr>
<tr class="separator:a0f14f861de57cdc4efbfcf5a77cd8bb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a29acd454bb27c7d9d0bd182016a74b40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a29acd454bb27c7d9d0bd182016a74b40">&#9670;&nbsp;</a></span>__construct()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Battle::__construct </td>
          <td>(</td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>$player1</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>$player2</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">String&#160;</td>
          <td class="paramname"><em>$nomFichier</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructeur de la classe <a class="el" href="classBattle.html">Battle</a>. Ce constructeur permet d'affecter un surnom (chaîne de caractères) et un tas de cartes (distribuées aléatoirement) à 2 joueurs. Leur tas de cartes provient d'un jeu complet dont le nom (chaîne de caractères) est précisé dans les paramètres. Si ces paramètres ne sont pas précisés, ils sont tous initialisés avec des chaînes de caractères vides.</p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">$player1</td><td>Surnom du joueur 1 </td></tr>
    <tr><td class="paramname">$player2</td><td>Surnom du joueur 2 </td></tr>
    <tr><td class="paramname">$nomFichier</td><td>Nom du fichier contenant le jeu de carte propre à la bataille. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="a0f14f861de57cdc4efbfcf5a77cd8bb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f14f861de57cdc4efbfcf5a77cd8bb6">&#9670;&nbsp;</a></span>__toString()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Battle::__toString </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant d'afficher l'état des joueurs (surnoms et nombre de cartes en main). Cette méthode retourne une chaîne de caractères contenant l'état des joueurs (surnoms et nombre de cartes en main).</p>
<dl class="section return"><dt>Renvoie</dt><dd>Chaîne de chaîne de caractères contenant l'état des joueurs (surnoms et nombre de cartes en main). </dd></dl>

</div>
</div>
<a id="a0c409aefc56e606e852e110978132802"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c409aefc56e606e852e110978132802">&#9670;&nbsp;</a></span>battleRound()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Battle::battleRound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de simuler le déroulement d'une bataille suivant un tour simple Chaque joueur pose une carte face cachée (s'ils le peuvent), puis une autre carte face visible. Cette méthode retourne un booléen permettant de savoir si les cartes ont pu être jouées : true si cela a été possible, false sinon. Si un des joueurs ne possède aucune carte, la méthode lance une exception de type OutOfRangeException.</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">Lève</td><td>l'exception OutOfRangeException si un des joueurs ne possède plus de carte à jouer. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Booléen permettant de savoir si chaque joueur peut jouer une carte, true si cela est possible, false sinon. </dd></dl>

</div>
</div>
<a id="ae270319dd5ce96ba4c16b567ae1bbe5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae270319dd5ce96ba4c16b567ae1bbe5d">&#9670;&nbsp;</a></span>clearTable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Battle::clearTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant d'attribuer le pli au joueur ayant remporté un tour. Cette méthode ne retourne rien, et elle réinitialise les jeux des 2 joueurs une fois la prise effectuée. </p>

</div>
</div>
<a id="a999468a925f2dee526bc5d1c30d01fec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a999468a925f2dee526bc5d1c30d01fec">&#9670;&nbsp;</a></span>decideBattle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Battle::decideBattle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de savoir si le tour suivant sera une bataille en comparant les 2 dernières cartes jouées par les 2 joueurs. Retourne un booléen permettant de savoir si le prochain tour est une bataille : true si le prochain tour est une bataille, false sinon.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Booléen permettant de savoir si le prochain tour est une bataille : true si c'est une bataille, false sinon. </dd></dl>

</div>
</div>
<a id="a008097103d35a58d025140d320805d44"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a008097103d35a58d025140d320805d44">&#9670;&nbsp;</a></span>determineWinner()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Battle::determineWinner </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de déterminer quel joueur est le gagnant à la fin de la partie. Retourne le nom du joueur gagnant.</p>
<dl class="section return"><dt>Renvoie</dt><dd>Nom du joueur ayant gagné la partie. </dd></dl>

</div>
</div>
<a id="a96c38fc472e488c315fc4b11556670d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96c38fc472e488c315fc4b11556670d8">&#9670;&nbsp;</a></span>singleRound()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Battle::singleRound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Méthode permettant de simuler le déroulement d'un tour simple. Chaque joueur joue à son tour une carte sur la table si c'est possible. Cette méthode retourne un booléen permettant de savoir si les joueurs peuvent jouer : true s'ils ont encore des cartes à jouer, false sinon. Cette méthode affichera les 2 cartes posées en utilisant la fonction printSideBySide. Si un des joueurs ne possède aucune carte, la méthode lance une exception de type OutOfRangeException.</p>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname">Lève</td><td>l'exception OutOfRangeException si un des joueurs ne possède plus de carte à jouer. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>Booléen permettant de savoir si chaque joueur peut jouer une carte, true si cela est possible, false sinon. </dd></dl>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>Battle.class.php</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
